@voiceflow/api-sdk
TypeScript icon, indicating that this package has built-in type declarations

3.27.34 • Public • Published

api-sdk

SDK for Voiceflow API, with typings for general voiceflow data structures.

Getting Started

Environment

In order to run this package locally, make sure you have yarn and brew installed. You also need to acquire a .env file and a local_sercrets.yaml file from engineering to load development secrets.

Package Manager

This Repository Relies on yarn and does not work with npm

Install Dependencies

Use yarn to install this project's dependencies.

yarn install

Generate SSL Certificates

Use mkcert to generate and install SSL certificates for local development.

yarn gen-certs

Usage

Build

Run tsc to generate a compiled version of the server.

yarn build

Start

Run the express server locally.

yarn local

Testing

Linting

Test the code for linting errors with estlint.

yarn lint

Unit Tests

Run unit tests with mocha.

yarn test

Readme

Keywords

Package Sidebar

Install

npm i @voiceflow/api-sdk

Weekly Downloads

354

Version

3.27.34

License

ISC

Unpacked Size

404 kB

Total Files

310

Last publish

Collaborators

  • ose-voiceflow
  • theprof
  • bhuvana.adur.kannan
  • abuyak
  • e_vandenberg
  • ninabondar
  • yoyotruly
  • matthewnaik
  • edison-vflow
  • shelone.grantwatson
  • zhilight
  • amandasteinhauer
  • pmvrmc
  • filipemerker
  • viniciusdacal
  • trs
  • matheuspoleza
  • denyslinkov
  • andrewlawrence
  • tylerhhan
  • effervescentia
  • josh_vf
  • voiceflow-gallagan
  • z4o4z
  • xavidop
  • vf-serviceaccount